# StyleConfigurationFillLayout (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common.table

## Class StyleConfigurationFillLayout

- java.lang.Object
- - org.eclipse.nebula.widgets.nattable.config.AbstractRegistryConfiguration
  - - org.deidentifier.arx.gui.view.impl.common.table.CTStyleConfiguration
    - - org.deidentifier.arx.gui.view.impl.common.table.StyleConfigurationFillLayout

- All Implemented Interfaces:
    CTComponent, org.eclipse.nebula.widgets.nattable.config.IConfiguration

      public class StyleConfigurationFillLayout
      extends CTStyleConfiguration

  Style config for fill layouts.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_FILL_LAYOUT_CELL_CONFIG_LABEL` TODO

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StyleConfigurationFillLayout(CTConfiguration config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addFillLayoutStyleConfig(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)`
    `void` | `configureRegistry(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)`

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.common.table.CTStyleConfiguration

      `getConfig`

    - ### Methods inherited from class org.eclipse.nebula.widgets.nattable.config.AbstractRegistryConfiguration

      `configureLayer, configureUiBindings`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FILL_LAYOUT_CELL_CONFIG_LABEL

          public static final java.lang.String DEFAULT_FILL_LAYOUT_CELL_CONFIG_LABEL

      TODO
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StyleConfigurationFillLayout

          public StyleConfigurationFillLayout(CTConfiguration config)

      Parameters:
        `config` -

  - ### Method Detail

    - #### configureRegistry

          public void configureRegistry(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)

    - #### addFillLayoutStyleConfig

          protected void addFillLayoutStyleConfig(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)

      Parameters:
        `configRegistry` -